Bug 140762 - e2fsck reports errors on filesystem after using resize2fs
Summary: e2fsck reports errors on filesystem after using resize2fs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-24 19:05 UTC by Jon Burgess
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 14:35:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test script which demonstrates error using loopback filesystem (310 bytes, text/plain)
2004-11-24 19:07 UTC, Jon Burgess
no flags Details
Output from running test-resize script (3.04 KB, text/plain)
2004-11-24 19:09 UTC, Jon Burgess
no flags Details

Description Jon Burgess 2004-11-24 19:05:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I used resize2fs to make one of my filesystems smaller and then when I
later ran a filesystem check it reported some errors

Version-Release number of selected component (if applicable):
e2fsprogs-1.35-11.2

How reproducible:
Always

Steps to Reproduce: (see attachment for scripted example)
1. mke2fs -j /dev/foo
2. e2fsck -f /dev/foo
3. resize2fs /dev/foo <some smaller size>
4. e2fsck -f /dev/foo

    

Actual Results:  

Pass 5: Checking group summary information

Block bitmap differences:  +3 -259 -(531--1298) +8195 -8451 +24579
-24835 +40963 -41219 +57347 -57603 +73731 -73987

Fix<y>? yes




Expected Results:  No errors reported by e2fsck following resize

Additional info:

I will attach a small test script and results log for a reproducible
test case using a loopback based filesystem.

I did some test with various mke2fs options and it seems that the
errors disappear when I disable the "resize_inode" feature. It seems
that this inode (for the ext2online resize) gets mishandled by the
legacy resize2fs code. Unfortunately - the mke2fs shipped with FC3
e2fsprogs has the resize_inode enabled by default.

Comment 1 Jon Burgess 2004-11-24 19:07:45 UTC
Created attachment 107412 [details]
Test script which demonstrates error using loopback filesystem

Comment 2 Jon Burgess 2004-11-24 19:09:42 UTC
Created attachment 107413 [details]
Output from running test-resize script

Comment 3 Benjamin Scott 2005-01-17 17:55:07 UTC
This bug may be related to bug #144771, which I hit.  This bug
(#140762) has very similar symptoms, but I get different errors from
e2fsck.  I get "Group X's inode table at Y conflicts with some other
fs block." as opposed to "Block bitmap differences".

Comment 4 Jon Burgess 2005-01-17 18:15:32 UTC
I think that you are right and these bugs are related. From the look
of the release notes of e2fsprogs-1.36-rc1, it seems that it will fix
this problem. I have not got around to trying it myself yet.

Comment 5 David Tonhofer 2005-04-07 23:43:22 UTC
I just hit this in FC3 with e2fsprogs-1.36-1.FC3.1 and lvm2-2.00.25-1.01.

-> goal was to resize /usr (make it larger)
-> assign a couple of GB to that parition using lvresize 
   (as it's an LVM partition)
-> telinit 1, unmount, resize2fs, all is well...
-> reboot - things work ok
-> the reboot after that gives filesystem errors and I get dropped to the repair
   shell; errors were "Group X's inode table at Y conflicts with some other
   fs block." and some complaint about the resize inode which I didn't write
   down (shame!)

But there were not too many errors and repair seems to have fixed things. Phew.

Tried the "test script which demonstrates error" but that one passes A-OK.

Comment 6 Thomas Woerner 2005-11-10 14:35:58 UTC
Fixed in the latest FC3-update packages of e2fsprogs: e2fsprogs-1.38-0.FC3.1


Note You need to log in before you can comment on or make changes to this bug.